lkml.org 
[lkml]   [2021]   [Nov]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: Linux 5.16-rc1
From
Date
On 11/14/21 9:21 PM, Linus Torvalds wrote:
> On Sun, Nov 14, 2021 at 8:56 PM Guenter Roeck <linux@roeck-us.net> wrote:
>>
>> With gcc 5.4, mips:mapta_defconfig
>> mips-linux-gcc.br_real: error: unrecognized command line option ‘-Wimplicit-fallthrough=5’
>
> This (and the gcc-6.x ones for sh4eb/sparc/xtensa) are already fixed
> in my tree. They're all "old gcc didn't support that flag" things with
> a trivial one-liner fix.
>
> I was hoping you didn't have older gcc versions, but you clearly do ;^p
>

I have to, for qemu. In some cases the new compilers don't work with
old kernels (eg sparc) and I prefer to use a single compiler for all
kernel versions, in other cases newer versions of gcc have trouble (sheb),
and for xtensa building a compiler that works for a given hardware model
is tricky so I try to avoid it as long as I can.

Guenter

\
 
 \ /
  Last update: 2021-11-15 07:34    [W:0.135 / U:1.804 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site